# ArrayObject::ksort

(PHP 5 >= 5.2.0, PHP 7)

ArrayObject::ksort — Sort the entries by key

### Description

public ArrayObject::ksort ( void ) : void

Sorts the entries by key, maintaining key to entry correlations. This is useful mainly for associative arrays.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::ksort() example

`<?php
$fruits = array("d" => "lemon", "a" => "orange", "b" => "banana", "c" => "apple");
$fruitArrayObject = new ArrayObject($fruits);
$fruitArrayObject->ksort();
foreach ($fruitArrayObject as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    a = orange
    b = banana
    c = apple
    d = lemon

### See Also

- ArrayObject::asort() - Sort the entries by value
- ArrayObject::natsort() - Sort entries using a "natural order" algorithm
- ArrayObject::natcasesort() - Sort an array using a case insensitive "natural order" algorithm
- ArrayObject::uasort() - Sort the entries with a user-defined comparison function and maintain key association
- ArrayObject::uksort() - Sort the entries by keys using a user-defined comparison function